/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../styles/plateg-variables.less';

.sider-wrapper {
  .ant-layout-sider-trigger {
    border-right: @platform-devider-border-style;
    background-color: white;
    color: black;
    z-index: 11;
    span {
      padding: 2px;
      width: 24px;
      height: 24px;
      float: right;
      margin-right: 8px;
      margin-top: 15px;
      left: 4px;
      border: 1px solid @platform-blue2;
      border-radius: 3px;
      color: @platform-blue2;
      font-size: 1.4rem;
      line-height: 20px;
      &:hover,
      &:focus {
        color: white;
        background-color: black;
        border-color: black;
      }
      &:focus {
        outline-style: solid;
        outline-color: @platform-blue2;
        outline-width: 2px;
        outline-offset: 2px;
      }
      &:active {
        color: white;
        background-color: @platform-btn-primary-bg;
      }
    }
  }
  &.navbar-component {
    border-right: @platform-devider-border-style;
    background: #fff;
  }
}
